## moncells 0.1.1

=== Makefile ===
PROG = moncells

VERS		  = 0.1.1
ETCDIR		= $(DESTDIR)/etc
PREFIX		= $(DESTDIR)/usr
cc = gcc
LD = gcc
OPT_FLAGS = -O3
CFLAGS		= 
LDFLAGS	  = -lm -lpthread -lliqbase -Wl,-export-dynamic
RM			 = /bin/rm -f
OBJSCORE	 = moncell.o ipbar.o hostnames.o
OBJS		  = $(OBJSCORE) $(PROG).o

.PHONY:	  clean distclean
all:		  $(PROG) $(PROG).so
$(PROG):	 $(OBJS)
			 $(LD) $(LDFLAGS) -o $(PROG) $(OBJS)
$(PROG).so : $(OBJS)
	 $(LD) -shared -lc $(CFLAGS) $(LDFLAGS) $(OBJS) -o $(PROG).so
.c.o:
			 $(CC) $(OPT_FLAGS) $(CFLAGS) -c $< -o $*.o
clean:
			 $(RM) *~ $(OBJS) $(PROG) $(PROG).so
.PHONY:	  clean

install:
			 install -d								 $(ETCDIR)/osso-backup
			 install -d								 $(ETCDIR)/osso-backup/applications
			 install -d								 $(PREFIX)/bin
			 install -d								 $(PREFIX)/share/applications/hildon
			 install -d								 $(PREFIX)/share/dbus-1/services
			 install -d								 $(PREFIX)/share/liqbase
			 install -d								 $(PREFIX)/share/liqbase/moncells
			 install -d								 $(PREFIX)/share/liqbase/moncells/media
			 
			 mkdir -p									$(PREFIX)/share/liqbase
			 mkdir -p									$(PREFIX)/share/liqbase/moncells/media
			 
			 install -m 0755 moncells			  $(PREFIX)/share/liqbase/moncells
			 install -m 0755 moncells.so		  $(PREFIX)/share/liqbase/moncells
			 
			 cp -r media/*                               $(PREFIX)/share/liqbase/moncells/media
			 cp hostnames.conf                           $(PREFIX)/share/liqbase/moncells/
			 chown user $(PREFIX)/share/liqbase/moncells/hostnames.conf
			 chgrp users $(PREFIX)/share/liqbase/moncells/hostnames.conf
			 
			 install -m 0755 base_fs/usr/bin/moncells-run.sh										 $(PREFIX)/bin
			 install -m 0755 base_fs/usr/share/applications/hildon/moncells.desktop		  $(PREFIX)/share/applications/hildon
			 install -m 0755 base_fs/usr/share/dbus-1/services/org.maemo.moncells.service  $(PREFIX)/share/dbus-1/services
			 install -m 0755 base_fs/etc/osso-backup/applications/moncells.conf				$(ETCDIR)/osso-backup/applications
