=== debian/changelog ===
moncells (0.1.1) unstable; urgency=low

  * moncells Initial release, with bug fix. (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Zach Habersang <zachhabersang@gmail.com>  Fri, 14 Aug 2009 02:46:54 +0000
