=== debian/control ===
Source: moncells
Section: user/multimedia
Priority: extra
Maintainer: Zach Habersang <zachhabersang@gmail.com>
Build-Depends: debhelper (>= 5) , libliqbase-dev
Standards-Version: 3.7.2

Package: moncells
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} , libliqbase1
Description: System/Network Monitoring GUI Application
 Monitor your Nokia Internet Tablet and other Linux machines. Make sure to also install moncellsd on all machines you want to monitor.
